python=python #2.7
# filter cleans up main.tex file by removing begin/end {HTML}
xform=${exporter-dir}/py/xform/xform.py

# the file to be exported 
main=main
# format: latex | html (default)
format=latex

# file containing the bibliographic info
biblio.org= ${src-dir}/biblio.org

# export single file to specified format
exp:
	(${emacs} -Q --script ${exporter-dir}/elisp/cli.el \
	${emacs-utils-dir}/emacs-funs.el \
	path=.:${org-infra-path}:${prj-dir}:${org-mode-path} \
	prj-dir=${prj-dir} op=exp file=${main}.org \
	format=${format}; echo "DONE")


# cleans up latex generated by exp.
cleanup: exp
	${emacs} -Q --batch \
	--load=${exporter-dir}/elisp/cleanup-latex.el \
	--eval='(cleanup-latex "${main}.tex")'

exp-latex: cleanup

exp-pdf: exp-latex
	latexmk -pdf --shell-escape ${main}




